* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

button:focus, button:active, select:focus, select:active {
    outline: none;
    border: none;
}

body {
    overflow: hidden;
    background-color: #263238;
}

#Container {
    padding: 25px;
    height: 100vh;
    display: grid;
    grid-template-columns: 3.5fr 6.5fr;
    grid-template-rows: auto;
}


/* Button and slider styles */
.sidebar {
    width: 100%;
    height: 100%;
    background-color: #b0bec5;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.sidebar #slider {
    margin: 25px 0;
    width: 50%;
    height: 10px;
    background-color: rgb(70, 70, 70);
    border: rgb(70, 70, 70);
}

.sidebar button {
    margin: 10px 0;
    width: 100%;
    height: 40px;
    border: none;
    font-weight: 900;
}

.sidebar #Delay_Container button:hover, .sidebar #btnContainer #Sort:hover, .sidebar #btnContainer #newArrBtn:hover {
    cursor: pointer;
    background-color: palegreen;
    color: #b0bec5;
    border: none;
    transition: .3s;
}

#btnContainer {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
    width: 50%;
}

#btnContainer #Sort, #btnContainer #newArrBtn {
    border: 2px solid  palegreen;
    background: transparent;
    color: white;
    font-weight: 900;
    transition: .3s;
    width: 100%;
}



.sidebar h1 {
    color: rgb(70, 70, 70);
    font-family: sans-serif;
    font-size: 80%;
    margin: 5px auto;
    width: 80%;
    text-align: center;
}

/* DropDown Styles */
.dropdown-container {
    width: 50%;
    position: relative;
    margin: 10px 0;
}

select {
  width: 100%;
  font-family: sans-serif;
  font-weight: 900;
  cursor: pointer;
  background-color: transparent;
  border: none;
  border: 2px solid rgb(70, 70, 70);
  color: rgb(70, 70, 70);
  padding: 10px;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  padding: 10px;
  transition: .3s;
}
/* For IE <= 11 */
select::-ms-expand {
   display: none;
}

select:hover,
select:focus {
  background-color: white;
  border: 2px solid white;
}

.select-icon {
  position: absolute;
  top: 0%;
  right: 5%;
  transition: translate(-50%, 0);
  width: 20px;
  height: 100%;
  pointer-events: none;
  transition: background-color 0.3s ease, border-color 0.3s ease;
}

.select-icon i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(70, 70, 70);
}

/* Sortin container styles */
#Sorting_Container {
    height: 100%;
    background-color: #eceff1;
    display: grid;
    grid-template-rows: 1fr;
    align-items: flex-end;
}
.section {
    width: 100%;
    background-color: palegreen;
    /* border: 1px solid rgb(53, 53, 53); */
    display: flex;
    align-items: flex-start;
    justify-content: center;
    color: rgb(70, 70, 70);
}

.section p {
    font-family: sans-serif;
    font-weight: 900;
}

#Delay_Container {
    width: 50%;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;

}

#Delay_Container button {
    width: 100%;
    border: 2px solid rgb(70, 70, 70);
    color: rgb(70, 70, 70);
    background: transparent
}